summaryrefslogtreecommitdiffstats
path: root/desktop/tint2
diff options
context:
space:
mode:
author Eugene Wissner <belka.ew@gmail.com>2010-08-10 01:36:28 +0100
committer Michiel van Wessem <michiel@slackbuilds.org>2010-08-10 01:36:28 +0100
commit16ad84cd9f4724e3550399338d450154fc4af0f6 (patch)
tree406ee2fb1133f339b7ac6833dfaae166254cad0d /desktop/tint2
parentf15ce42eac2efdb9b7f60060215314f1220a2892 (diff)
downloadslackbuilds-16ad84cd9f4724e3550399338d450154fc4af0f6.tar.gz
slackbuilds-16ad84cd9f4724e3550399338d450154fc4af0f6.tar.xz
desktop/tint2: Updated for version 0.11.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'desktop/tint2')
-rw-r--r--desktop/tint2/README8
-rw-r--r--desktop/tint2/doinst.sh3
-rw-r--r--desktop/tint2/tint2.SlackBuild48
-rw-r--r--desktop/tint2/tint2.info8
4 files changed, 42 insertions, 25 deletions
diff --git a/desktop/tint2/README b/desktop/tint2/README
index 4f70cde3c3..a376436617 100644
--- a/desktop/tint2/README
+++ b/desktop/tint2/README
@@ -4,8 +4,8 @@ also work with other window managers. It's based off ttm code.
The goal is to keep a clean and unintrusive look with lightweight code and
compliance with freedesktop specifications.
-This requires imlib2.
-
On the first run, /etc/xdg/tint2/tint2rc is copied to ~/.config/tint2/tint2rc
-and used as the default configuration. Other samples are included in
-/usr/doc/tint2-*/sample/ ; you can edit ~/.config/tint2/tint2rc as desired.
+and used as the default configuration.
+
+Make sure that you have imlib2 installed. You can enable/disable some features
+by editing the script.
diff --git a/desktop/tint2/doinst.sh b/desktop/tint2/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/tint2/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/tint2/tint2.SlackBuild b/desktop/tint2/tint2.SlackBuild
index 64cdd1d78c..0d3d34cb40 100644
--- a/desktop/tint2/tint2.SlackBuild
+++ b/desktop/tint2/tint2.SlackBuild
@@ -2,12 +2,11 @@
# Slackware build script for tint2
-# Originally written by Jonathan Yu <yumigator[AT]moldysoup.com>
-# and rewritten by Eugene Wissner <belka.ew@gmail.com>
+# Written by Eugene Wissner <belka.ew@gmail.com>
# You are free to modify or redistribute this in any way you wish.
PRGNAM=tint2
-VERSION=${VERSION:-0.10}
+VERSION=${VERSION:-0.11}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,13 +35,20 @@ else
SLKCFLAGS="-O2"
fi
+# A GTK+2 theme switcher for tint2
+TINT2CONF_BUILD=${TINT2CONF_BUILD:-OFF}
+# Battery status plugin
+BATTERY_PLUGIN=${BATTERY_PLUGIN:-ON}
+# Install additional tint2rc examples in /usr/doc/tint2-$VERSION/examples
+ADD_EXAMPLES=${ADD_EXAMPLES:-OFF}
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -51,27 +57,35 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMANDIR=/usr/man \
+ -DDOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DENABLE_EXAMPLES:BOOL=$ADD_EXAMPLES \
+ -DENABLE_TINT2CONF:BOOL=$TINT2CONF_BUILD \
+ -DENABLE_BATTERY:BOOL=$BATTERY_PLUGIN \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make DESTDIR=$PKG install
+cd ..
-make
-make DESTDIR=$PKG install-strip
+# Strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/sample
-rm -rf $PKG/usr/share $PKG/usr/doc/$PRGNAM-$VERSION/NEWS
-cp sample/*tint2rc $PKG/usr/doc/$PRGNAM-$VERSION/sample
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/tint2/tint2.info b/desktop/tint2/tint2.info
index 488ebfc5d1..99fa85f5a1 100644
--- a/desktop/tint2/tint2.info
+++ b/desktop/tint2/tint2.info
@@ -1,10 +1,10 @@
PRGNAM="tint2"
-VERSION="0.10"
+VERSION="0.11"
HOMEPAGE="http://code.google.com/p/tint2/"
-DOWNLOAD="http://tint2.googlecode.com/files/tint2-0.10.tar.gz"
-MD5SUM="81e44e02cab2c313aa436ff25b2e2499"
+DOWNLOAD="http://tint2.googlecode.com/files/tint2-0.11.tar.bz2"
+MD5SUM="6fc5731e7425125fa84a2add5cef4bff"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Eugene Wissner"
EMAIL="belka.ew@gmail.com"
-APPROVED="rworkman"
+APPROVED="Michiel"